# Update a Legal Entity

A legal entity can be updated, if it has not been used in any submitted transactions. When transactions are connected to it, it can not be updated anymore. Instead, create a new legal entity.

## Update a legal entity of your business

> Update a legal entity of your business

```json
{"openapi":"3.0.0","info":{"title":"TradeAware API","version":"0.45.0"},"servers":[{"url":"https://api.tradeaware.live-eo.com"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"UpdateLegalEntityDto":{"type":"object","properties":{"name":{"type":"string","description":"Business's name"},"email":{"type":"object","description":"email of the contact person in the business","nullable":true},"addressCity":{"type":"string","description":"City of the business's address"},"addressCountryCode":{"type":"string","description":"Two-letter country code (ISO 3166 Alpha-2) of the business's address"},"addressLine1":{"type":"string","description":"First line of the business address"},"addressLine2":{"type":"object","description":"Second line of the business address","nullable":true},"addressPostcode":{"type":"string","description":"Country-specific postcode of the business's address"},"eori":{"type":"object","description":"EORI number of the business","nullable":true},"vat":{"type":"object","description":"VAT number of the business","nullable":true}}},"GetLegalEntityDto":{"type":"object","properties":{"name":{"type":"string","description":"Business's name"},"email":{"type":"object","description":"email of the contact person in the business","nullable":true},"addressCity":{"type":"string","description":"City of the business's address"},"addressCountryCode":{"type":"string","description":"Two-letter country code (ISO 3166 Alpha-2) of the business's address"},"addressLine1":{"type":"string","description":"First line of the business address"},"addressLine2":{"type":"object","description":"Second line of the business address","nullable":true},"addressPostcode":{"type":"string","description":"Country-specific postcode of the business's address"},"eori":{"type":"object","description":"EORI number of the business","nullable":true},"vat":{"type":"object","description":"VAT number of the business","nullable":true},"id":{"type":"string","description":"id of this entity"},"createdAt":{"format":"date-time","type":"string","description":"ISO 8601"},"updatedAt":{"format":"date-time","type":"string","description":"ISO 8601"}},"required":["name","addressCity","addressCountryCode","addressLine1","addressLine2","addressPostcode","id","createdAt","updatedAt"]}}},"paths":{"/legal-entities/{id}":{"patch":{"description":"Update a legal entity of your business","operationId":"LegalEntitiesController_update","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateLegalEntityDto"}}}},"responses":{"200":{"description":"Returns the updated legal entity.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetLegalEntityDto"}}}},"400":{"description":""},"401":{"description":""},"403":{"description":""},"404":{"description":""}},"summary":"Update a legal entity of your business","tags":["LegalEntities"]}}}}
```

## The GetLegalEntityDto object

```json
{"openapi":"3.0.0","info":{"title":"TradeAware API","version":"0.45.0"},"components":{"schemas":{"GetLegalEntityDto":{"type":"object","properties":{"name":{"type":"string","description":"Business's name"},"email":{"type":"object","description":"email of the contact person in the business","nullable":true},"addressCity":{"type":"string","description":"City of the business's address"},"addressCountryCode":{"type":"string","description":"Two-letter country code (ISO 3166 Alpha-2) of the business's address"},"addressLine1":{"type":"string","description":"First line of the business address"},"addressLine2":{"type":"object","description":"Second line of the business address","nullable":true},"addressPostcode":{"type":"string","description":"Country-specific postcode of the business's address"},"eori":{"type":"object","description":"EORI number of the business","nullable":true},"vat":{"type":"object","description":"VAT number of the business","nullable":true},"id":{"type":"string","description":"id of this entity"},"createdAt":{"format":"date-time","type":"string","description":"ISO 8601"},"updatedAt":{"format":"date-time","type":"string","description":"ISO 8601"}},"required":["name","addressCity","addressCountryCode","addressLine1","addressLine2","addressPostcode","id","createdAt","updatedAt"]}}}}
```

## The UpdateLegalEntityDto object

```json
{"openapi":"3.0.0","info":{"title":"TradeAware API","version":"0.45.0"},"components":{"schemas":{"UpdateLegalEntityDto":{"type":"object","properties":{"name":{"type":"string","description":"Business's name"},"email":{"type":"object","description":"email of the contact person in the business","nullable":true},"addressCity":{"type":"string","description":"City of the business's address"},"addressCountryCode":{"type":"string","description":"Two-letter country code (ISO 3166 Alpha-2) of the business's address"},"addressLine1":{"type":"string","description":"First line of the business address"},"addressLine2":{"type":"object","description":"Second line of the business address","nullable":true},"addressPostcode":{"type":"string","description":"Country-specific postcode of the business's address"},"eori":{"type":"object","description":"EORI number of the business","nullable":true},"vat":{"type":"object","description":"VAT number of the business","nullable":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.live-eo.com/tradeaware/using-the-tradeaware-api/api-reference/legal-entities/update-a-legal-entity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
